/*
 * testPrefix.java
 *
 * Created on 16 fvrier 2007, 23:48
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package test;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import org.w3c.dom.*;

import javax.xml.transform.TransformerFactory;
import javax.xml.transform.Transformer;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
/**
 *
 * @author cardonr
 */
public class testPrefix {
    
    /** Creates a new instance of testPrefix */
    public testPrefix() {
    }
    
    public static void main(String[] args) {
          try{
         DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
        dbf.setNamespaceAware(true);
        DocumentBuilder db = dbf.newDocumentBuilder();
        Document doc = db.newDocument();
        String prefix = null;
        
        Element root = doc.createElementNS("ns", "test");
        root.setPrefix("prefix");
        Element child = doc.createElementNS("ns", "child");
        child.setPrefix("prefix");
        root.appendChild(child);
        doc.appendChild(root);
        
        System.out.println("prefix:"+root.getPrefix());
        System.out.println("localName:"+root.getLocalName());
        System.out.println("tagName:"+root.getTagName());
        System.out.println("ns is default namespace :"+root.isDefaultNamespace("ns"));
        System.out.println("child prefix:"+child.getPrefix());
        System.out.println("child localName:"+child.getLocalName());
        System.out.println("child tagName:"+child.getTagName());
        
        TransformerFactory tf = TransformerFactory.newInstance();
            tf.newTransformer().transform(
                    new DOMSource(doc),
                    new StreamResult(System.out));
        }catch(Exception e){
            e.printStackTrace();
        }
    }    
    
    
}
