/*
 * simpleXML.java
 *
 * Created on 6 fvrier 2007, 22:39
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package test;

import be.cardon.xades.*;
import java.security.Provider;
import java.util.GregorianCalendar;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import org.w3c.dom.*;

import javax.xml.crypto.dsig.*;
import be.cardon.xades.*;
import javax.xml.crypto.dsig.dom.DOMSignContext;


import javax.xml.transform.TransformerFactory;
import javax.xml.transform.Transformer;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import java.security.KeyStore;


/**
 *
 * @author crackapat
 */
public class simpleXML {
    
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try{
            
        //key load
        java.io.File file = new java.io.File("c:\\myjava\\xades\\key.p12");
        char[] pass = "test".toCharArray();
        KeyStore ks = KeyStore.getInstance("PKCS12");
        ks.load( new java.io.FileInputStream(file), pass);
                
        //xades provider load
        Provider prov = new XadESProvider();
        XMLSignatureFactory xsf = XMLSignatureFactory.getInstance("DOM",prov);
               
        //XML factory load
        DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
        dbf.setNamespaceAware(true);
        DocumentBuilder db = dbf.newDocumentBuilder();
        Document doc = db.newDocument();
        
        
        String prefix = null;
        Element root = DOMUtils.createElement(doc, "test", Constants.Xades132SpecNS, prefix);
        doc.appendChild(root);
        
        
        
        DOMSignContext context = new DOMSignContext(ks.getKey("demo", pass), root,root);
        
       
        DOMSignatureProductionPlace spp = new DOMSignatureProductionPlace(
                null,
                "Brabant",
                "1850",
                "Belgique");
        spp.marshal(root,"prodplace", context);
        
        String prefix2 = null;
        DOMSignatureProductionPlace spp2 = new DOMSignatureProductionPlace(
                "xc",
                "zerezr",
                "1850",
                "Belgique");
        DOMSignContext context2 = new DOMSignContext(ks.getKey("demo", pass), root,root);
        XadESContext.setXadesNS(context2,Constants.Xades111SpecNS);
        //spp2.marshal(root,prefix2, "prodplace", context2);
         
       
        //output
        TransformerFactory tf = TransformerFactory.newInstance();
            tf.newTransformer().transform(
                    new DOMSource(doc),
                    new StreamResult(System.out));
        
        //unmarshall
        System.out.println("root localname: "+root.getLocalName());
        System.out.println("root ns:"+root.getNamespaceURI());
        String xadesns = root.getNamespaceURI();
        DOMSignatureProductionPlace spp3 = new DOMSignatureProductionPlace(
                DOMUtils.getFirstChildElement(root),
                context);
        String city = spp.getCity();
        System.out.println("city: "+spp.getCity());
        if(city==null){
            System.out.println("city is null");
        }else{
            System.out.println("city is NOT null");
        }
        
        }catch(Exception e){
            e.printStackTrace();
        }
        
    }
    
}
